/* Tamaño de la imagen del carrusel */
.size-img-carousel {
	height: 420px;
	width: 100%;
}

/* Título Principal */
.main-title {
	font-size: 40px;
	font-weight: 500;
	text-align: center;
}

.main-description {
	font-size: 18px;
}

/* Subtitulos */
.lead-subtitle {
	text-align: center;
	font-weight: 500;
	font-size: 35px;
}

/* Perfiles */
.container-profile {
	background-color: white;
}

.container-profile img {
	border-radius: 7px 7px 0 0;
	width: 100%;
	height: 350px;
}

.container-profiles {
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 15px;
}

.profile-name {
	font-size: 20px;
	font-weight: 500;
	padding: 10px;
	text-align: center;
}

/* Preguntas y Respuestas */
.question-container {
	background-color: #001F3F;
	color: white;
	box-shadow: 0 10px 40px rgba(0, 0, 0, 0.10);
	border-radius: 10px;
	height: 500px;
	padding: 20px;
}

.question {
	font-size: 24px;
	font-weight: 600;
}

.answer {
	font-size: 18px;
	font-weight: 350;
}

.q-and-a-container {
	display: flex;
	justify-content: space-between;
	gap: 15px;
}

/* Videos */
.video-container {
	width: 100%; 
}

.videos-row {
	display: flex;
	justify-content: space-between; 
	width: 100%; 
}

.main-video-iframe {
	width: 50%; /* Cada video ocupará el 50% */
}

.main-video-iframe iframe {
	width: 100%;
	height: 500px;
}

/* Formulario */
.form-container {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.input-form {
	padding: 5px;
	margin: 5px 60px;
	border-radius: 7px;
	box-shadow: 0 4px 4px rgba(0, 0, 0, 0.15);
	border: none;
	width: 80%;
	resize: none;
	overflow: auto;
}

.input-form::placeholder {
	color: #001F3F;
}

.button-form-sidebar-css,
.button-main-info {
	background-color: #FF851B;
	font-size: 18px;
	color: #FBFBFB;
	padding: 10px;
	border-radius: 10px;
	font-weight: 400;
	margin-top: 10px;
	border: none;
	width: 15vh;
}

.button-form-sidebar-css:hover,
.button-main-info:hover {
	background-color: #0074D9;
}

/* Sidebar */

/* Redes Sociales */
.container-social-media {
	padding: 30px;
}

.social-media {
	display: flex;
	justify-content: space-around;
	align-items: center;
}

/* Story */
.altura-story {
	width: 100%;
	height: auto;
	border-radius: 10px;
}


@media (min-width: 768px) {
	.collapse {
		display: block !important;
	}

	.button-main-info {
		display: none;
	}
}


@media (max-width: 767px) {
	.size-img-carousel {
		height: 200px;
		width: 100%;
	}

	.main-title {
		font-size: 30px;
	}

	.videos-row {
		flex-direction: column;
	}

	.main-video-iframe {
		width: 100%;
	}

	.main-video-iframe iframe {
		width: 100%;
		height: 200px;
	}

	.container-profiles {
		flex-direction: column;
	}

	.q-and-a-container {
		overflow-x: auto;
		display: flex;
		flex-wrap: nowrap; /* Evita que las tarjetas se rompan a la siguiente línea */
		gap: 10px;
		scroll-snap-type: x mandatory; /* Habilita el snap al deslizar */
		height: auto;
	}

	.question-container {
		min-width: 83vw; /* Asegura que las tarjetas tengan un ancho mínimo adecuado */
		scroll-snap-align: start; /* Hace que cada tarjeta se alinee al principio en el scroll */
		height: auto;
	}

	.story {
		display: none;
	}


}

@media (min-width: 768px) and (max-width: 1200px) {
	.q-and-a-container {
		flex-direction: column;
	}

	.question-container {
		height: auto;
	}

	.container-profiles {
		gap: 15px;
		flex-wrap: wrap;
		justify-content: center;
	}

	.container-social-media {
		padding: 30px 0;
	}

	.w-45 { /*Ajusta el tamaño de los contenedores de los perfiles a 45% */
		width: 45%;
	}
}